%define oname pybaz
%define name python-%{oname}
%define version 1.5.3
%define release %mkrel 8

Summary: Python Bindings for the Baz Revision Control System
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://code.aaronbentley.com/pybaz/releases/%{oname}-%{version}.tar.xz
License: GPL
URL: http://code.aaronbentley.com/pybaz/
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: i586
BuildRequires: libpython-devel
Requires:  python >= 2.5 bazaar

%description
PyBaz provides Python bindings for the Baz revision control system. 

It's based on PyArch, and shares the same design goals:
- Faithfulness to the Baz design.
- Python best idioms.
- Code elegance.

It provides enough flexibility and efficiency for all types of
applications, from batch scripts to graphical user interface front-end and
web services.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/python*/site-packages/

%changelog
* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com>
- update package

* Mon Sep 21 2009 texstar <texstar at gmail.com>
-rebuild

* Fri Mar 20 2009 Texstar <texstar@gmail.com. 1.5.3-6pclos2007
- rebuild for new python


